Vector stores
Get a vector store file
Retrieves a vector store file by its identifier.
Parâmetros de caminho
vector_store_id
string
exigido
The ID of the vector store that the file belongs to.
file_id
string
exigido
The ID of the file being retrieved.
Respostas
The request has succeeded.
Corpo
id
string
exigido
The identifier, which can be referenced in API endpoints.
object
enum
exigido
The object type, which is always vector_store.file.
created_at
integer
exigido
The Unix timestamp (in seconds) for when the vector store file was created.
vector_store_id
string
exigido
The ID of the vector store that the File is attached to.
status
enum
exigido
The status of the vector store file, which can be either in_progress, completed, cancelled, or failed. The status completed indicates that the vector store file is ready for use.
last_error
OpenAI.VectorStoreFileObjectLastError | null
exigido
code
enum
exigido
attributes
OpenAI.VectorStoreFileAttributes | null
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.
[key: string]
string | OpenAI.numeric | boolean
chunking_strategy
static | other
The strategy used to chunk the file.
static
OpenAI.StaticChunkingStrategyResponseParam
type
enum
exigido
Always static.
static
OpenAI.StaticChunkingStrategy
exigido
other
OpenAI.OtherChunkingStrategyResponseParam
This is returned when the chunking strategy is unknown. Typically, this is because the file was indexed before the chunking_strategy concept was introduced in the API.
type
enum
exigido
Always other.
Solicitar
curl https://api.openai.com/v1/vector_stores/vs_abc123/files/file-abc123 \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: application/json" \
-H "OpenAI-Beta: assistants=v2"
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
vector_store_file = client.vector_stores.files.retrieve(
file_id="file-abc123",
vector_store_id="vs_abc123",
)
print(vector_store_file.id)
import OpenAI from "openai";
const openai = new OpenAI();
async function main() {
const vectorStoreFile = await openai.vectorStores.files.retrieve(
"file-abc123",
{ vector_store_id: "vs_abc123" }
);
console.log(vectorStoreFile);
}
main();
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const vectorStoreFile = await client.vectorStores.files.retrieve('file-abc123', {
vector_store_id: 'vs_abc123',
});
console.log(vectorStoreFile.id);
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
vectorStoreFile, err := client.VectorStores.Files.Get(
context.TODO(),
"vs_abc123",
"file-abc123",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", vectorStoreFile.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.vectorstores.files.FileRetrieveParams;
import com.openai.models.vectorstores.files.VectorStoreFile;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
FileRetrieveParams params = FileRetrieveParams.builder()
.vectorStoreId("vs_abc123")
.fileId("file-abc123")
.build();
VectorStoreFile vectorStoreFile = client.vectorStores().files().retrieve(params);
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
vector_store_file = openai.vector_stores.files.retrieve("file-abc123", vector_store_id: "vs_abc123")
puts(vector_store_file)
Resposta
{
"id": "file-abc123",
"object": "vector_store.file",
"created_at": 1699061776,
"vector_store_id": "vs_abcd",
"status": "completed",
"last_error": null
}